(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"), require("prop-types"));
	else if(typeof define === 'function' && define.amd)
		define(["react", "prop-types"], factory);
	else {
		var a = typeof exports === 'object' ? factory(require("react"), require("prop-types")) : factory(root["react"], root["prop-types"]);
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_1__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dest/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 389);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_1__;

/***/ }),

/***/ 159:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin
module.exports = {"wrapperWidth":"1200px","screenSizeSm":"321px","screenSizeMd":"768px","screenSizeMl":"990px","screenSizeLg":"1024px","screenSizeXl":"1200px","screenSizeXXl":"1360px","loading-skelton":"_1Unqy","pulse-animation":"_3RCay"};

/***/ }),

/***/ 160:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DOT_POSITION = undefined;

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }(); /* eslint-disable react/no-array-index-key */
/* eslint-disable no-unused-expressions */

/**
 * https://www.cnblogs.com/slongs/p/10189439.html
 */


var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bind = __webpack_require__(2);

var _bind2 = _interopRequireDefault(_bind);

var _iconSliderArrowLeft = __webpack_require__(70);

var _iconSliderArrowLeft2 = _interopRequireDefault(_iconSliderArrowLeft);

var _iconSliderArrowRight = __webpack_require__(71);

var _iconSliderArrowRight2 = _interopRequireDefault(_iconSliderArrowRight);

var _Carousel = __webpack_require__(72);

var _Carousel2 = _interopRequireDefault(_Carousel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cx = _bind2.default.bind(_Carousel2.default);

var DOT_POSITION = exports.DOT_POSITION = {
  FLOAT: 'float',
  FIXED: 'fixed'
};
var DELAY_TIME = 10000;
var LEFT = 'left';
var RIGHT = 'right';

/**
 * @param {number} [width = 300] - 顯示寬度
 * @param {number} [height = 193] - 顯示高度
 * @param {boolean} [hasArrow = false] - 是否需要顯示左右箭頭
 * @param {boolean} [autoPlay = true] - 是否自動播放
 * @param {number} [selected = 0] - 指定從第幾個 Slide 開始播
 * @param {number}} [speed = 10000] - 切換速度(ms)，預設是 10 秒
 * @param {string}} [dotPosition = fixed] - 分頁按鈕對齊方式，共有二種 float | fixed
 */

var Carousel = function Carousel(_ref) {
  var width = _ref.width,
      height = _ref.height,
      hasArrow = _ref.hasArrow,
      autoPlay = _ref.autoPlay,
      selected = _ref.selected,
      speed = _ref.speed,
      dotPosition = _ref.dotPosition,
      children = _ref.children;

  var timerRef = (0, _react.useRef)();

  var _useState = (0, _react.useState)(0),
      _useState2 = _slicedToArray(_useState, 2),
      currentCarousel = _useState2[0],
      setCurrentCarousel = _useState2[1];

  var _useState3 = (0, _react.useState)(0),
      _useState4 = _slicedToArray(_useState3, 2),
      animationStep = _useState4[0],
      setAnimationStep = _useState4[1];

  var _useState5 = (0, _react.useState)(false),
      _useState6 = _slicedToArray(_useState5, 2),
      isShowArrow = _useState6[0],
      setIsShowArrow = _useState6[1];

  // 取得目前輪播物件個數


  var childrenCount = _react2.default.Children.count(children) || 0;

  /**
   * @description 更改目前循環播放的下一個座標
   * @param {string} direction 輪播方向 (left | right)
   */
  var handlerCarousel = function handlerCarousel() {
    var direction = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : RIGHT;

    var directionValue = direction === LEFT ? -1 : 1;

    // 座標不為 -1 或是目前不是最後一個的情況下，進行遞增或遞減
    if (currentCarousel % (childrenCount + 1) !== childrenCount && currentCarousel >= 0) {
      setAnimationStep(selected);
      // 當座標在邊界時，會取消動畫過場的秒數，當目前座標不是邊界時，要恢復動畫過場秒數，不然無法正確播放動畫
      setCurrentCarousel(function (prevState) {
        var current = prevState + directionValue;

        return current % (childrenCount + 1);
      });
    }
  };

  /**
   * @description 停止輪播
   */
  var stopCarousel = function stopCarousel() {
    timerRef.current && clearInterval(timerRef.current);
  };

  /**
   * @description 開始輪播
   */
  var startCarousel = function startCarousel() {
    stopCarousel();

    timerRef.current = setInterval(function () {
      handlerCarousel();
    }, speed);
  };

  /**
   * @description 顯示/隱藏箭頭
   */
  var handleMouseEnter = function handleMouseEnter() {
    hasArrow && setIsShowArrow(true);
  };

  var handleMouseLeave = function handleMouseLeave() {
    hasArrow && setIsShowArrow(false);
  };

  /**
   * @description 監聽動畫結束
   */
  var handleTransitionEnd = function handleTransitionEnd() {
    // 當輪播最後一個時，取消過場動畫，並將座標位置重設為 0
    if (currentCarousel % (childrenCount + 1) === childrenCount) {
      setAnimationStep(0);
      setCurrentCarousel(0);
      // 當輪播第一個時，取消過場動畫，並將座標位置設為最後一個
    } else if (currentCarousel < 0) {
      setAnimationStep(0);
      setCurrentCarousel(childrenCount - 1);
    }
  };

  /**
   * @description 設定點擊箭頭後，切換顯示對應方向的 Slide 內容
   *
   * @param {string} direction - 移動方向 (left | right)
   */
  var handleArrowClick = function handleArrowClick(direction) {
    if (autoPlay) {
      startCarousel();
    }

    handlerCarousel(direction);
  };

  /**
   * @description 判斷導航小點點的 active 狀態
   */
  var getIndicatorsActive = function getIndicatorsActive(index) {
    return currentCarousel === index || currentCarousel === index + childrenCount || currentCarousel < 0 && index === childrenCount - 1;
  };

  /**
   * @description 點擊指定輪播項目切換
   */
  var onGoToCarousel = function onGoToCarousel(index) {
    setCurrentCarousel(index);
  };

  /**
   * @description 開始執行
   */
  (0, _react.useEffect)(function () {
    setAnimationStep(selected);
    autoPlay && startCarousel();

    if (!autoPlay) {
      stopCarousel();
    } else {
      startCarousel();
    }

    return function () {
      stopCarousel();
    };
  }, [autoPlay]);

  var totalCount = childrenCount + 2;
  var containerWidth = width.toString().includes('%') ? width : width + 'px';
  var containerHeight = height.toString().includes('%') ? height : height + 'px';
  var carouselStyle = { width: containerWidth, height: containerHeight };
  var transitionStyle = {
    transition: 'transform ' + animationStep + 's',
    width: totalCount * 100 + '%',
    height: containerHeight,
    transform: 'translateX(' + -100 / totalCount * (currentCarousel + 1) + '%)'
  };
  var firstChild = children ? children[0] : null;
  var lastChild = children ? children[childrenCount - 1] : null;

  /**
   * @description 繪制箭頭
   *
   * @param {string} direction - 移動方向 (left | right)
   */
  var renderCarouselArrow = function renderCarouselArrow() {
    var direction = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : LEFT;

    var arrowIcon = direction === LEFT ? _iconSliderArrowLeft2.default : _iconSliderArrowRight2.default;

    return _react2.default.createElement(
      'div',
      {
        className: cx('carousel__arrows__arrow', { 'carousel__arrows__arrow--active': isShowArrow }),
        onClick: function onClick() {
          return handleArrowClick(direction);
        }
      },
      _react2.default.createElement('img', { src: arrowIcon, alt: direction + ' arrow' })
    );
  };

  /**
   * @description 繪製輪播項目
   *
   * @param {ReactNode} child - 輪播項目
   * @param {number} index - 索引值
   */
  var renderCarouselItem = function renderCarouselItem(child) {
    var index = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

    if (!child) return null;

    var carouselItemStyle = {
      width: 100 / totalCount + '%'
    };

    return _react2.default.createElement(
      'div',
      { className: cx('carousel__body__item'), style: carouselItemStyle, key: 'carousel_item_' + index },
      child
    );
  };

  var renderIndicators = function renderIndicators() {
    if (!children) return null;

    return _react2.default.createElement(
      'div',
      { className: cx('footer', { float: dotPosition === DOT_POSITION.FLOAT }) },
      _react2.default.createElement(
        'ul',
        { className: cx('footer__indicators') },
        children.map(function (_, index) {
          var isActive = getIndicatorsActive(index);

          return _react2.default.createElement('li', {
            key: 'carousel_indicator_' + index,
            onClick: function onClick() {
              return onGoToCarousel(index);
            },
            className: cx('footer__indicators__indicator', { 'footer__indicators__indicator--active': isActive })
          });
        })
      )
    );
  };

  return _react2.default.createElement(
    'div',
    { className: cx('carousel-container'), style: carouselStyle },
    _react2.default.createElement(
      'div',
      { className: cx('carousel'), onMouseEnter: handleMouseEnter, onMouseLeave: handleMouseLeave },
      _react2.default.createElement(
        'div',
        { className: cx('carousel__body'), onTransitionEnd: handleTransitionEnd, style: transitionStyle },
        renderCarouselItem(lastChild, 0),
        children && children.map(function (item, index) {
          return renderCarouselItem(item, index + 1);
        }),
        renderCarouselItem(firstChild, totalCount)
      ),
      _react2.default.createElement(
        'div',
        { className: cx('carousel__arrows') },
        hasArrow && renderCarouselArrow(LEFT),
        hasArrow && renderCarouselArrow(RIGHT)
      )
    ),
    renderIndicators()
  );
};

Carousel.defaultProps = {
  width: 300,
  height: 193,
  hasArrow: true,
  autoPlay: true,
  selected: 1,
  speed: DELAY_TIME,
  dotPosition: DOT_POSITION.FLOAT
};

exports.default = Carousel;

/***/ }),

/***/ 161:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DOT_POSITION = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bind = __webpack_require__(2);

var _bind2 = _interopRequireDefault(_bind);

var _iconSliderArrowLeft = __webpack_require__(70);

var _iconSliderArrowLeft2 = _interopRequireDefault(_iconSliderArrowLeft);

var _iconSliderArrowRight = __webpack_require__(71);

var _iconSliderArrowRight2 = _interopRequireDefault(_iconSliderArrowRight);

var _Carousel = __webpack_require__(72);

var _Carousel2 = _interopRequireDefault(_Carousel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* eslint-disable react/no-array-index-key */
/* eslint-disable no-unused-expressions */

/**
 * https://www.cnblogs.com/slongs/p/10189439.html
 */


var cx = _bind2.default.bind(_Carousel2.default);

var DOT_POSITION = exports.DOT_POSITION = {
  FLOAT: 'float',
  FIXED: 'fixed'
};
var DELAY_TIME = 10000;
var LEFT = 'left';
var RIGHT = 'right';

/**
 * @param {number} [width = 300] - 顯示寬度
 * @param {number} [height = 193] - 顯示高度
 * @param {boolean} [hasArrow = false] - 是否需要顯示左右箭頭
 * @param {boolean} [autoPlay = true] - 是否自動播放
 * @param {number} [selected = 0] - 指定從第幾個 Slide 開始播
 * @param {number}} [speed = 10000] - 切換速度(ms)，預設是 10 秒
 * @param {string}} [dotPosition = fixed] - 分頁按鈕對齊方式，共有二種 float | fixed
 */

var CarouselOld = function (_React$Component) {
  _inherits(CarouselOld, _React$Component);

  function CarouselOld(props) {
    _classCallCheck(this, CarouselOld);

    var _this = _possibleConstructorReturn(this, (CarouselOld.__proto__ || Object.getPrototypeOf(CarouselOld)).call(this, props));

    _this.onGoToCarousel = function (index) {
      _this.setState({
        currentCarousel: index
      });
    };

    _this.getIndicatorsActive = function (index) {
      var currentCarousel = _this.state.currentCarousel;


      return currentCarousel === index || currentCarousel === index + _this.childrenCount || currentCarousel < 0 && index === _this.childrenCount - 1;
    };

    _this.stopCarousel = function () {
      _this.timerID && clearInterval(_this.timerID);
    };

    _this.startCarousel = function () {
      var speed = _this.props.speed;


      _this.stopCarousel();
      _this.timerID = setInterval(function () {
        _this.handlerCarousel();
      }, speed);
    };

    _this.handleMouseEnter = function () {
      _this.props.hasArrow && _this.setState({ isShowArrow: true });
    };

    _this.handleMouseLeave = function () {
      _this.props.hasArrow && _this.setState({ isShowArrow: false });
    };

    _this.handleTransitionEnd = function () {
      var currentCarousel = _this.state.currentCarousel;

      // 當輪播最後一個時，取消過場動畫，並將座標位置重設為 0

      if (currentCarousel % (_this.childrenCount + 1) === _this.childrenCount) {
        _this.setState({
          animationStep: 0,
          currentCarousel: 0
        });
        // 當輪播第一個時，取消過場動畫，並將座標位置設為最後一個
      } else if (currentCarousel < 0) {
        _this.setState({
          animationStep: 0,
          currentCarousel: _this.childrenCount - 1
        });
      }
    };

    _this.handleArrowClick = function (direction) {
      if (_this.props.autoPlay) {
        _this.startCarousel();
      }

      _this.handlerCarousel(direction);
    };

    _this.handlerCarousel = function () {
      var direction = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : RIGHT;
      var selected = _this.props.selected;
      var currentCarousel = _this.state.currentCarousel;

      var directionValue = direction === LEFT ? -1 : 1;

      // 座標不為 -1 或是目前不是最後一個的情況下，進行遞增或遞減
      if (currentCarousel % (_this.childrenCount + 1) !== _this.childrenCount && currentCarousel >= 0) {
        // 當座標在邊界時，會取消動畫過場的秒數，當目前座標不是邊界時，要恢復動畫過場秒數，不然無法正確播放動畫
        _this.setState(function (prevState) {
          var current = prevState.currentCarousel + directionValue;

          return {
            animationStep: selected,
            currentCarousel: current % (_this.childrenCount + 1)
          };
        });
      }
    };

    _this.renderCarouselArrow = function () {
      var direction = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : LEFT;
      var isShowArrow = _this.state.isShowArrow;

      var arrowIcon = direction === LEFT ? _iconSliderArrowLeft2.default : _iconSliderArrowRight2.default;

      return _react2.default.createElement(
        'div',
        {
          className: cx('carousel__arrows__arrow', { 'carousel__arrows__arrow--active': isShowArrow }),
          onClick: function onClick() {
            return _this.handleArrowClick(direction);
          }
        },
        _react2.default.createElement('img', { src: arrowIcon, alt: direction + ' arrow' })
      );
    };

    _this.renderCarouselItem = function (child) {
      var index = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

      if (!child) return null;

      var totalCount = _this.childrenCount + 2;
      var carouselItemStyle = {
        width: 100 / totalCount + '%'
      };

      return _react2.default.createElement(
        'div',
        { className: cx('carousel__body__item'), style: carouselItemStyle, key: 'carousel_item_' + index },
        child
      );
    };

    _this.renderIndicators = function () {
      var _this$props = _this.props,
          dotPosition = _this$props.dotPosition,
          children = _this$props.children;


      if (!children) return null;

      return _react2.default.createElement(
        'div',
        { className: cx('footer', { float: dotPosition === DOT_POSITION.FLOAT }) },
        _react2.default.createElement(
          'ul',
          { className: cx('footer__indicators') },
          children.map(function (_, index) {
            var isActive = _this.getIndicatorsActive(index);

            return _react2.default.createElement('li', {
              key: 'carousel_indicator_' + index,
              onClick: function onClick() {
                return _this.onGoToCarousel(index);
              },
              className: cx('footer__indicators__indicator', { 'footer__indicators__indicator--active': isActive })
            });
          })
        )
      );
    };

    _this.state = {
      currentCarousel: 0,
      animationStep: props.selected || 0,
      isShowArrow: false
    };

    // 取得目前輪播物件個數
    _this.childrenCount = _react2.default.Children.count(props.children) || 0;
    return _this;
  }

  /**
   * @description 開始執行
   */


  _createClass(CarouselOld, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var autoPlay = this.props.autoPlay;


      autoPlay && this.startCarousel();
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate(prevProps) {
      if (prevProps.autoPlay !== this.props.autoPlay) {
        if (!this.props.autoPlay) {
          this.stopCarousel();
        } else {
          this.startCarousel();
        }
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.stopCarousel();
    }

    /**
     * @description 點擊指定輪播項目切換
     */


    /**
     * @description 判斷導航小點點的 active 狀態
     */


    /**
     * @description 停止輪播
     */


    /**
     * @description 開始輪播
     */


    /**
     * @description 顯示/隱藏箭頭
     */


    /**
     * @description 監聽動畫結束
     */


    /**
     * @description 設定點擊箭頭後，切換顯示對應方向的 Slide 內容
     *
     * @param {string} direction - 移動方向 (left | right)
     */


    /**
     * @description 更改目前循環播放的下一個座標
     * @param {string} direction 輪播方向 (left | right)
     */


    /**
     * @description 繪制箭頭
     *
     * @param {string} direction - 移動方向 (left | right)
     */


    /**
     * @description 繪製輪播項目
     *
     * @param {ReactNode} child - 輪播項目
     * @param {number} index - 索引值
     */

  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          width = _props.width,
          height = _props.height,
          hasArrow = _props.hasArrow,
          children = _props.children;
      var _state = this.state,
          animationStep = _state.animationStep,
          currentCarousel = _state.currentCarousel;


      var totalCount = this.childrenCount + 2;
      var containerWidth = width.toString().includes('%') ? width : width + 'px';
      var containerHeight = height.toString().includes('%') ? height : height + 'px';
      var carouselStyle = { width: containerWidth, height: containerHeight };
      var transitionStyle = {
        transition: 'transform ' + animationStep + 's',
        width: totalCount * 100 + '%',
        height: containerHeight,
        transform: 'translateX(' + -100 / totalCount * (currentCarousel + 1) + '%)'
      };
      var firstChild = children ? children[0] : null;
      var lastChild = children ? children[this.childrenCount - 1] : null;

      return _react2.default.createElement(
        'div',
        { className: cx('carousel-container'), style: carouselStyle },
        _react2.default.createElement(
          'div',
          { className: cx('carousel'), onMouseEnter: this.handleMouseEnter, onMouseLeave: this.handleMouseLeave },
          _react2.default.createElement(
            'div',
            { className: cx('carousel__body'), onTransitionEnd: this.handleTransitionEnd, style: transitionStyle },
            this.renderCarouselItem(lastChild, 0),
            children && children.map(function (item, index) {
              return _this2.renderCarouselItem(item, index + 1);
            }),
            this.renderCarouselItem(firstChild, totalCount)
          ),
          _react2.default.createElement(
            'div',
            { className: cx('carousel__arrows') },
            hasArrow && this.renderCarouselArrow(LEFT),
            hasArrow && this.renderCarouselArrow(RIGHT)
          )
        ),
        this.renderIndicators()
      );
    }
  }]);

  return CarouselOld;
}(_react2.default.Component);

CarouselOld.defaultProps = {
  width: 300,
  height: 193,
  hasArrow: true,
  autoPlay: true,
  selected: 1,
  speed: DELAY_TIME,
  dotPosition: DOT_POSITION.FLOAT
};
exports.default = CarouselOld;

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

var __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/*!
  Copyright (c) 2016 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
/* global define */

(function () {
	'use strict';

	var hasOwn = {}.hasOwnProperty;

	function classNames () {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(this && this[arg] || arg);
			} else if (Array.isArray(arg)) {
				classes.push(classNames.apply(this, arg));
			} else if (argType === 'object') {
				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(this && this[key] || key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if (typeof module !== 'undefined' && module.exports) {
		module.exports = classNames;
	} else if (true) {
		// register as 'classnames', consistent with npm package name
		!(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_RESULT__ = (function () {
			return classNames;
		}).apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	} else {
		window.classNames = classNames;
	}
}());


/***/ }),

/***/ 205:
/***/ (function(module, exports) {

module.exports = {"homepage":[[{"title":"鉅亨專題報導","subtitle":"洞悉最新趨勢","url":"https://news.cnyes.com/projects/cat/all","icon":"./homepage/1-projects.png"},{"title":"議題新聞","subtitle":"聚焦熱門議題","url":"https://news.cnyes.com/news/cat/topTopics","icon":"./homepage/2-news-top-topics.png"},{"title":"股市Talk","subtitle":"即時台股資訊","url":"https://stock.cnyes.com/market/TSE:TSE01:INDEX","icon":"./homepage/3-market-tse.png"},{"title":"鉅亨活動通","subtitle":"掌握鉅亨活動","url":"https://old.accupass.com/org/detail/r/1610250600034287720690/1/0","icon":"./homepage/4-anue-activities.png"}],[{"title":"買基金強優惠","subtitle":"最新0手續費情報","url":"https://www.anuefund.com/launch/memberpromo/?proType=anue&utm_source=cnyes&utm_medium=homepage_logowall","icon":"./homepage/5-member-promo.png"},{"title":"鉅亨新視界","subtitle":"洞悉名家觀點","url":"https://news.cnyes.com/news/cat/celebrity_area","icon":"./homepage/6-celebrity-area.png"},{"title":"鉅亨會員","subtitle":"鉅亨優質服務","url":"https://www.cnyes.com/m/index.aspx","icon":"./homepage/7-anue-member.png"},{"title":"鉅亨買幣 輕鬆入幣圈","subtitle":"周周開課 勝率輕鬆佈局","url":"https://campaign.cnyes.com/topics/anuecrypto/#class?utm_source=cnyes&utm_medium=logowall","icon":"./homepage/8-anue-crypto.png"}],[{"title":"專題報導","subtitle":"分析產業趨勢","url":"https://news.cnyes.com/projects/cat/all","icon":"./homepage/9-projects.png"},{"title":"投資老司機","subtitle":"真實投資組合","url":"https://invest.anue.com/campaigns/passengers/landing","icon":"./homepage/10-passengers.png"},{"title":"熱門講座","subtitle":"聚焦新商機","url":"http://www.cnyes.com/Lecture/","icon":"./homepage/11-lecture.png"},{"title":"一手情報","subtitle":"掌握即時訊息","url":"https://news.cnyes.com/news/cat/advertorial","icon":"./homepage/12-advertorial.png"}]],"forex":[[{"title":"鉅亨專題報導","subtitle":"洞悉最新趨勢","url":"https://news.cnyes.com/projects/cat/all","icon":"./forex/1-projects.png"},{"title":"如何賺外幣最快?","subtitle":"點選懂更多!!!","url":"https://www.feib.com.tw/foreignexchange/whats.html?utm_source=cnyes","icon":"./forex/2-feib.png"},{"title":"全台股民最想買的車就是00893","subtitle":"立即搶佔未來10年 電動車百兆投資商機","url":"https://www.cathaysite.com.tw/proj/CathayElectricVehiclesETF/?utm_source=anue&utm_medium=logo_wall&utm_campaign=EV_ETF_00893_0701","icon":"./forex/3-cathay-site.png"},{"title":"鉅亨買幣 輕鬆入幣圈","subtitle":"周周開課 高勝率輕鬆佈局","url":"https://campaign.cnyes.com/topics/anuecrypto/#class?utm_source=cnyes&utm_medium=logowall","icon":"./forex/4-anue-crypto.png"}],[{"title":"如何賺外幣最快?","subtitle":"點選懂更多!!!","url":"https://www.feib.com.tw/foreignexchange/whats.html?utm_source=cnyes","icon":"./forex/5-feib.png"},{"title":"鉅亨買幣 輕鬆入幣圈","subtitle":"周周開課 高勝率輕鬆佈局","url":"https://campaign.cnyes.com/topics/anuecrypto/#class?utm_source=cnyes&utm_medium=logowall","icon":"./forex/6-anue-crypto.png"},{"title":"全台股民最想買的車就是00893","subtitle":"立即搶佔未來10年 電動車百兆投資商機","url":"https://www.cathaysite.com.tw/proj/CathayElectricVehiclesETF/?utm_source=anue&utm_medium=logo_wall&utm_campaign=EV_ETF_00893_0701","icon":"./forex/7-cathay-site.png"},{"title":"經理人訪談","subtitle":"產業策略大解密","url":"https://fund.cnyes.com/report/manager/index.htm","icon":"./forex/8-manager.png"}],[{"title":"如何賺外幣最快?","subtitle":"點選懂更多!!!","url":"https://www.feib.com.tw/foreignexchange/whats.html?utm_source=cnyes","icon":"./forex/9-feib.png"},{"title":"鉅亨買幣 輕鬆入幣圈","subtitle":"周周開課 高勝率輕鬆佈局","url":"https://campaign.cnyes.com/topics/anuecrypto/#class?utm_source=cnyes&utm_medium=logowall","icon":"./forex/10-anue-crypto.png"},{"title":"全台股民最想買的車就是00893","subtitle":"立即搶佔未來10年 電動車百兆投資商機","url":"https://www.cathaysite.com.tw/proj/CathayElectricVehiclesETF/?utm_source=anue&utm_medium=logo_wall&utm_campaign=EV_ETF_00893_0701","icon":"./forex/11-cathay-site.png"},{"title":"一手情報","subtitle":"掌握即時訊息","url":"https://news.cnyes.com/news/cat/advertorial","icon":"./forex/12-advertorial.png"}]],"news":[[{"title":"永豐金證券告訴你防疫囤貨要買什麼？","subtitle":"當然是囤好股","url":"https://campaign.cnyes.com/topics/sinopacsec202107/?utm_source=0721&utm_medium=1111&utm_id=order","icon":"./news/1-sinopac.png"},{"title":"如何賺外幣最快?","subtitle":"點選懂更多!!!","url":"https://www.feib.com.tw/foreignexchange/whats.html?utm_source=cnyes","icon":"./news/2-feib.png"},{"title":"全台股民最想買的車就是00893","subtitle":"立即搶佔未來10年 電動車百兆投資商機","url":"https://www.cathaysite.com.tw/proj/CathayElectricVehiclesETF/?utm_source=anue&utm_medium=logo_wall&utm_campaign=EV_ETF_00893_0701","icon":"./news/3-cathay-site.png"},{"title":"美高收債超前部署 搶進復甦錢潮","subtitle":"尋找明日之星","url":"https://reurl.cc/Lb88Q9","icon":"./news/4-east-spring.jpg"}],[{"title":"如何賺外幣最快?","subtitle":"點選懂更多!!!","url":"https://www.feib.com.tw/foreignexchange/whats.html?utm_source=cnyes","icon":"./news/5-sinopac.png"},{"title":"鉅亨買幣 輕鬆入幣圈","subtitle":"周周開課 高勝率輕鬆佈局","url":"https://campaign.cnyes.com/topics/anuecrypto/#class?utm_source=cnyes&utm_medium=logowall","icon":"./news/6-anue-crypto.png"},{"title":"全台股民最想買的車就是00893","subtitle":"立即搶佔未來10年 電動車百兆投資商機","url":"https://www.cathaysite.com.tw/proj/CathayElectricVehiclesETF/?utm_source=anue&utm_medium=logo_wal&utm_campaign=EV_ETF_00893_0701","icon":"./news/7-cathay-site.png"},{"title":"經理人訪談","subtitle":"產業策略大解密","url":"https://fund.cnyes.com/report/manager/index.htm","icon":"./news/8-anue-activities.png"}],[{"title":"如何賺外幣最快?","subtitle":"點選懂更多!!!","url":"https://www.feib.com.tw/foreignexchange/whats.html?utm_source=cnyes","icon":"./news/9-sinopac.png"},{"title":"鉅亨買幣 輕鬆入幣圈","subtitle":"周周開課 高勝率輕鬆佈局","url":"https://campaign.cnyes.com/topics/anuecrypto/#class?utm_source=cnyes&utm_medium=logowall","icon":"./news/10-anue-crypto.png"},{"title":"全台股民最想買的車就是00893","subtitle":"立即搶佔未來10年 電動車百兆投資商機","url":"https://www.cathaysite.com.tw/proj/CathayElectricVehiclesETF/?utm_source=anue&utm_medium=logo_wal&utm_campaign=EV_ETF_00893_0701","icon":"./news/11-cathay-site.png"},{"title":"一手情報","subtitle":"掌握即時訊息","url":"https://news.cnyes.com/news/cat/advertorial","icon":"./news/12-advertorial.png"}]],"usStock":[[{"title":"永豐金證券告訴你防疫囤貨要買什麼？","subtitle":"當然是囤好股","url":"https://campaign.cnyes.com/topics/sinopacsec202107/?utm_source=0721&utm_medium=1111&utm_id=order","icon":"./usStock/1-sinopac.png"},{"title":"幣安一鍵買幣","subtitle":"信用卡小額入金","url":"https://news.cnyes.com/news/id/4651342","icon":"./usStock/2-bin-ance.png"},{"title":"如何賺外幣最快?","subtitle":"點選懂更多!!!","url":"https://www.feib.com.tw/foreignexchange/whats.html?utm_source=cnyes","icon":"./usStock/3-feib.png"},{"title":"美高收債超前部署 搶進復甦錢潮","subtitle":"尋找明日之星","url":"https://reurl.cc/Lb88Q9","icon":"./usStock/4-east-spring.jpg"}],[{"title":"如何賺外幣最快?","subtitle":"點選懂更多!!!","url":"https://www.feib.com.tw/foreignexchange/whats.html?utm_source=cnyes","icon":"./usStock/5-feib.png"},{"title":"鉅亨買幣 輕鬆入幣圈","subtitle":"周周開課 高勝率輕鬆佈局","url":"https://campaign.cnyes.com/topics/anuecrypto/#class?utm_source=cnyes&utm_medium=logowall","icon":"./usStock/6-anue-crypto.png"},{"title":"全台股民最想買的車就是00893","subtitle":"立即搶佔未來10年 電動車百兆投資商機","url":"https://www.cathaysite.com.tw/proj/CathayElectricVehiclesETF/?utm_source=anue&utm_medium=logo_wall&utm_campaign=EV_ETF_00893_0701","icon":"./usStock/7-cathay-site.png"},{"title":"經理人訪談","subtitle":"產業策略大解密","url":"https://fund.cnyes.com/report/manager/index.htm","icon":"./usStock/8-manager.png"}],[{"title":"如何賺外幣最快?","subtitle":"點選懂更多!!!","url":"https://www.feib.com.tw/foreignexchange/whats.html?utm_source=cnyes","icon":"./usStock/9-feib.png"},{"title":"派網網格交易","subtitle":"AI機器人低進高出","url":"https://news.cnyes.com/news/id/4651848","icon":"./usStock/10-pionex.png"},{"title":"全台股民最想買的車就是00893","subtitle":"立即搶佔未來10年 電動車百兆投資商機","url":"https://www.cathaysite.com.tw/proj/CathayElectricVehiclesETF/?utm_source=anue&utm_medium=logo_wall&utm_campaign=EV_ETF_00893_0701","icon":"./usStock/11-cathay-site.png"},{"title":"一手情報","subtitle":"掌握即時訊息","url":"https://news.cnyes.com/news/cat/advertorial","icon":"./usStock/12-advertorial.png"}]]}

/***/ }),

/***/ 206:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin
module.exports = {"wrapperWidth":"1200px","screenSizeSm":"321px","screenSizeMd":"768px","screenSizeMl":"990px","screenSizeLg":"1024px","screenSizeXl":"1200px","screenSizeXXl":"1360px","slide":"_cYXpH","slide--wrapper":"_328LS","slide__item":"_2MCMi","slide__item--left":"_2wUwE","slide__item--right":"_2mwAF","slide__loading":"_23PMn","slide__loading--left":"_2S7HR","slide__loading--left-image":"_3-Yl5","slide__loading--right":"_3AIFf","slide__loading--right-title":"_3idH5","slide__loading--right-subtitle":"_E3g0x"};

/***/ }),

/***/ 207:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./forex/1-projects.png": 392,
	"./forex/10-anue-crypto.png": 393,
	"./forex/11-cathay-site.png": 394,
	"./forex/12-advertorial.png": 395,
	"./forex/2-feib.png": 396,
	"./forex/3-cathay-site.png": 397,
	"./forex/4-anue-crypto.png": 398,
	"./forex/5-feib.png": 399,
	"./forex/6-anue-crypto.png": 400,
	"./forex/7-cathay-site.png": 401,
	"./forex/8-manager.png": 402,
	"./forex/9-feib.png": 403,
	"./homepage/1-projects.png": 404,
	"./homepage/10-passengers.png": 405,
	"./homepage/11-lecture.png": 406,
	"./homepage/12-advertorial.png": 407,
	"./homepage/2-news-top-topics.png": 408,
	"./homepage/3-market-tse.png": 409,
	"./homepage/4-anue-activities.png": 410,
	"./homepage/5-member-promo.png": 411,
	"./homepage/6-celebrity-area.png": 412,
	"./homepage/7-anue-member.png": 413,
	"./homepage/8-anue-crypto.png": 414,
	"./homepage/9-projects.png": 415,
	"./news/1-sinopac.png": 416,
	"./news/10-anue-crypto.png": 417,
	"./news/11-cathay-site.png": 418,
	"./news/12-advertorial.png": 419,
	"./news/2-feib.png": 420,
	"./news/3-cathay-site.png": 421,
	"./news/4-east-spring.jpg": 422,
	"./news/5-sinopac.png": 423,
	"./news/6-anue-crypto.png": 424,
	"./news/7-cathay-site.png": 425,
	"./news/8-anue-activities.png": 426,
	"./news/9-sinopac.png": 427,
	"./usStock/1-sinopac.png": 428,
	"./usStock/10-pionex.png": 429,
	"./usStock/11-cathay-site.png": 430,
	"./usStock/12-advertorial.png": 431,
	"./usStock/2-bin-ance.png": 432,
	"./usStock/3-feib.png": 433,
	"./usStock/4-east-spring.jpg": 434,
	"./usStock/5-feib.png": 435,
	"./usStock/6-anue-crypto.png": 436,
	"./usStock/7-cathay-site.png": 437,
	"./usStock/8-manager.png": 438,
	"./usStock/9-feib.png": 439
};
function webpackContext(req) {
	return __webpack_require__(webpackContextResolve(req));
};
function webpackContextResolve(req) {
	var id = map[req];
	if(!(id + 1)) // check for number or string
		throw new Error("Cannot find module '" + req + "'.");
	return id;
};
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = 207;

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var gaDataset = function gaDataset(_ref) {
  var _ref$dataPrefix = _ref.dataPrefix,
      dataPrefix = _ref$dataPrefix === undefined ? ['data-global-ga'] : _ref$dataPrefix,
      category = _ref.category,
      action = _ref.action,
      label = _ref.label;

  if (dataPrefix.length === 0 || !dataPrefix) {
    return null;
  }

  var gaRegExp = /^data-.*ga$/; // format restriction
  var eventsObj = dataPrefix.reduce(function (p, prefix) {
    var _p = p;

    if (gaRegExp.test(prefix)) {
      _p[prefix + '-category'] = category;
      _p[prefix + '-action'] = action;
      _p[prefix + '-label'] = label;
    }

    return _p;
  }, {});

  return eventsObj;
};

exports.default = gaDataset;

/***/ }),

/***/ 389:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(390);


/***/ }),

/***/ 390:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LOGO_WALL_TYPE = undefined;

var _LogoWallCarousel = __webpack_require__(391);

Object.defineProperty(exports, 'LOGO_WALL_TYPE', {
  enumerable: true,
  get: function get() {
    return _LogoWallCarousel.LOGO_WALL_TYPE;
  }
});

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _LogoWallCarousel2 = _interopRequireDefault(_LogoWallCarousel);

var _LogoWallCarouselOld = __webpack_require__(440);

var _LogoWallCarouselOld2 = _interopRequireDefault(_LogoWallCarouselOld);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Component = _react2.default.version < '16.8.0' ? _LogoWallCarouselOld2.default : _LogoWallCarousel2.default;

exports.default = Component;

/***/ }),

/***/ 391:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LOGO_WALL_TYPE = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bind = __webpack_require__(2);

var _bind2 = _interopRequireDefault(_bind);

var _LoadingSkeleton = __webpack_require__(86);

var _LoadingSkeleton2 = _interopRequireDefault(_LoadingSkeleton);

var _Carousel = __webpack_require__(160);

var _Carousel2 = _interopRequireDefault(_Carousel);

var _gaDataset = __webpack_require__(3);

var _gaDataset2 = _interopRequireDefault(_gaDataset);

var _settings = __webpack_require__(205);

var _settings2 = _interopRequireDefault(_settings);

var _LogoWallCarousel = __webpack_require__(206);

var _LogoWallCarousel2 = _interopRequireDefault(_LogoWallCarousel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cx = _bind2.default.bind(_LogoWallCarousel2.default);

// Dynamically Loading Local Images with ReactJS
// https://stackoverflow.com/questions/41947474/dynamically-loading-local-images-with-reactjs?rq=1
var images = __webpack_require__(207);

var LOGO_WALL_TYPE = exports.LOGO_WALL_TYPE = {
  HOMEPAGE: 'homepage',
  NEWS: 'news',
  FOREX: 'forex',
  US_STOCK: 'usStock'
};

var LogoWallCarousel = function LogoWallCarousel(_ref) {
  var width = _ref.width,
      height = _ref.height,
      delay = _ref.delay,
      type = _ref.type,
      dataPrefix = _ref.dataPrefix;

  var loadingSkeleton = _react2.default.createElement(
    'div',
    { className: cx('slide__loading') },
    _react2.default.createElement(
      'div',
      { className: cx('slide__loading--left') },
      _react2.default.createElement(
        'div',
        { className: cx('slide__loading--left-image') },
        _react2.default.createElement(_LoadingSkeleton2.default, null)
      )
    ),
    _react2.default.createElement(
      'div',
      { className: cx('slide__loading--right') },
      _react2.default.createElement(
        'div',
        { className: cx('slide__loading--right-title') },
        _react2.default.createElement(_LoadingSkeleton2.default, null)
      ),
      _react2.default.createElement(
        'div',
        { className: cx('slide__loading--right-subtitle') },
        _react2.default.createElement(_LoadingSkeleton2.default, null)
      )
    )
  );

  var renderItem = function renderItem(items) {
    return items.map(function (setting, index) {
      return setting ? _react2.default.createElement(
        'a',
        _extends({
          key: 'logo_wall_item_' + (index + 1),
          className: cx('slide__item'),
          href: setting.url,
          target: '_blank',
          rel: 'noopener noreferrer'
        }, (0, _gaDataset2.default)({ dataPrefix: dataPrefix, category: 'LogoWall', action: 'click', label: setting.title }), {
          title: setting.title
        }),
        _react2.default.createElement(
          'div',
          { className: cx('slide__item--left') },
          _react2.default.createElement('img', { src: images(setting.icon), alt: setting.name })
        ),
        _react2.default.createElement(
          'div',
          { className: cx('slide__item--right') },
          _react2.default.createElement(
            'h5',
            null,
            setting.title
          ),
          _react2.default.createElement(
            'p',
            null,
            setting.subtitle
          )
        )
      ) : loadingSkeleton;
    });
  };

  var sources = _settings2.default[type] || [Array(4).fill(0), Array(4).fill(0), Array(4).fill(0)];
  var containerWidth = width.toString().includes('%') ? width : width + 'px';
  var containerHeight = height;

  if (!height.toString().includes('%')) {
    var magicHeight = height + 12 + 7 + 2;

    containerHeight = magicHeight + 'px';
  }

  return _react2.default.createElement(
    'div',
    { style: { width: containerWidth, height: containerHeight + 'px' } },
    _react2.default.createElement(
      'div',
      { className: cx('slide') },
      _react2.default.createElement(
        _Carousel2.default,
        { width: width, height: height, speed: delay, dotPosition: _Carousel.DOT_POSITION.FIXED },
        sources && sources.map(function (items, index) {
          return _react2.default.createElement(
            'div',
            { key: 'slide_' + (index + 1), className: cx('slide--wrapper') },
            renderItem(items)
          );
        })
      )
    )
  );
};

LogoWallCarousel.defaultProps = {
  width: 334,
  height: 230,
  delay: 10000,
  type: LOGO_WALL_TYPE.HOMEPAGE,
  dataPrefix: ['data-global-ga']
};

exports.default = LogoWallCarousel;

/***/ }),

/***/ 392:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/ef431f2a443f35a929f74138292e6499.png";

/***/ }),

/***/ 393:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/8a465e4b70c9feacf0a3f12ad6a74684.png";

/***/ }),

/***/ 394:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/60ef52320d45fb04789c8e77d8f29ca6.png";

/***/ }),

/***/ 395:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 396:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/6ff5af4b350fdfc058a514aec15e1443.png";

/***/ }),

/***/ 397:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/60ef52320d45fb04789c8e77d8f29ca6.png";

/***/ }),

/***/ 398:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/8a465e4b70c9feacf0a3f12ad6a74684.png";

/***/ }),

/***/ 399:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/6ff5af4b350fdfc058a514aec15e1443.png";

/***/ }),

/***/ 400:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/8a465e4b70c9feacf0a3f12ad6a74684.png";

/***/ }),

/***/ 401:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/60ef52320d45fb04789c8e77d8f29ca6.png";

/***/ }),

/***/ 402:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 403:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/6ff5af4b350fdfc058a514aec15e1443.png";

/***/ }),

/***/ 404:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/ef431f2a443f35a929f74138292e6499.png";

/***/ }),

/***/ 405:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/8ffdc64ee79d0843fff48436fee956d7.png";

/***/ }),

/***/ 406:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 407:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 408:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 409:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/34ea3b3fc948d72e2789ef741283bdff.png";

/***/ }),

/***/ 410:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 411:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/bddc204884af17a5847405a653c66d62.png";

/***/ }),

/***/ 412:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 413:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 414:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/8a465e4b70c9feacf0a3f12ad6a74684.png";

/***/ }),

/***/ 415:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 416:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/f496aa250879b07101f3ea2554407cde.png";

/***/ }),

/***/ 417:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/8a465e4b70c9feacf0a3f12ad6a74684.png";

/***/ }),

/***/ 418:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/60ef52320d45fb04789c8e77d8f29ca6.png";

/***/ }),

/***/ 419:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 420:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/6ff5af4b350fdfc058a514aec15e1443.png";

/***/ }),

/***/ 421:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/60ef52320d45fb04789c8e77d8f29ca6.png";

/***/ }),

/***/ 422:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/7c49ee9c428f02c4f3992349c139cd6d.jpg";

/***/ }),

/***/ 423:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/6ff5af4b350fdfc058a514aec15e1443.png";

/***/ }),

/***/ 424:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/8a465e4b70c9feacf0a3f12ad6a74684.png";

/***/ }),

/***/ 425:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/60ef52320d45fb04789c8e77d8f29ca6.png";

/***/ }),

/***/ 426:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 427:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/6ff5af4b350fdfc058a514aec15e1443.png";

/***/ }),

/***/ 428:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/f496aa250879b07101f3ea2554407cde.png";

/***/ }),

/***/ 429:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/900a31309f9b16505bd27e50f9028d71.png";

/***/ }),

/***/ 430:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/60ef52320d45fb04789c8e77d8f29ca6.png";

/***/ }),

/***/ 431:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 432:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/a369a220c575b18d8486302c1016a459.png";

/***/ }),

/***/ 433:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/6ff5af4b350fdfc058a514aec15e1443.png";

/***/ }),

/***/ 434:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/7c49ee9c428f02c4f3992349c139cd6d.jpg";

/***/ }),

/***/ 435:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/6ff5af4b350fdfc058a514aec15e1443.png";

/***/ }),

/***/ 436:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/8a465e4b70c9feacf0a3f12ad6a74684.png";

/***/ }),

/***/ 437:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/60ef52320d45fb04789c8e77d8f29ca6.png";

/***/ }),

/***/ 438:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/daa0dfba0a8ccd61a610af75ca723166.png";

/***/ }),

/***/ 439:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/6ff5af4b350fdfc058a514aec15e1443.png";

/***/ }),

/***/ 440:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LOGO_WALL_TYPE = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bind = __webpack_require__(2);

var _bind2 = _interopRequireDefault(_bind);

var _LoadingSkeleton = __webpack_require__(86);

var _LoadingSkeleton2 = _interopRequireDefault(_LoadingSkeleton);

var _CarouselOld = __webpack_require__(161);

var _CarouselOld2 = _interopRequireDefault(_CarouselOld);

var _gaDataset = __webpack_require__(3);

var _gaDataset2 = _interopRequireDefault(_gaDataset);

var _settings = __webpack_require__(205);

var _settings2 = _interopRequireDefault(_settings);

var _LogoWallCarousel = __webpack_require__(206);

var _LogoWallCarousel2 = _interopRequireDefault(_LogoWallCarousel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var cx = _bind2.default.bind(_LogoWallCarousel2.default);

// Dynamically Loading Local Images with ReactJS
// https://stackoverflow.com/questions/41947474/dynamically-loading-local-images-with-reactjs?rq=1
var images = __webpack_require__(207);

var LOGO_WALL_TYPE = exports.LOGO_WALL_TYPE = {
  HOMEPAGE: 'homepage',
  NEWS: 'news',
  FOREX: 'forex',
  US_STOCK: 'usStock'
};

var LogoWallCarouselOld = function (_React$PureComponent) {
  _inherits(LogoWallCarouselOld, _React$PureComponent);

  function LogoWallCarouselOld(props) {
    _classCallCheck(this, LogoWallCarouselOld);

    var _this = _possibleConstructorReturn(this, (LogoWallCarouselOld.__proto__ || Object.getPrototypeOf(LogoWallCarouselOld)).call(this, props));

    _this.loadingSkeleton = _react2.default.createElement(
      'div',
      { className: cx('slide__loading') },
      _react2.default.createElement(
        'div',
        { className: cx('slide__loading--left') },
        _react2.default.createElement(
          'div',
          { className: cx('slide__loading--left-image') },
          _react2.default.createElement(_LoadingSkeleton2.default, null)
        )
      ),
      _react2.default.createElement(
        'div',
        { className: cx('slide__loading--right') },
        _react2.default.createElement(
          'div',
          { className: cx('slide__loading--right-title') },
          _react2.default.createElement(_LoadingSkeleton2.default, null)
        ),
        _react2.default.createElement(
          'div',
          { className: cx('slide__loading--right-subtitle') },
          _react2.default.createElement(_LoadingSkeleton2.default, null)
        )
      )
    );

    _this.renderItem = function (items) {
      var dataPrefix = _this.props.dataPrefix;


      return items.map(function (setting, index) {
        return setting ? _react2.default.createElement(
          'a',
          _extends({
            key: 'logo_wall_item_' + (index + 1),
            className: cx('slide__item'),
            href: setting.url,
            target: '_blank',
            rel: 'noopener noreferrer'
          }, (0, _gaDataset2.default)({ dataPrefix: dataPrefix, category: 'LogoWall', action: 'click', label: setting.title }), {
            title: setting.title
          }),
          _react2.default.createElement(
            'div',
            { className: cx('slide__item--left') },
            _react2.default.createElement('img', { src: images(setting.icon), alt: setting.name })
          ),
          _react2.default.createElement(
            'div',
            { className: cx('slide__item--right') },
            _react2.default.createElement(
              'h5',
              null,
              setting.title
            ),
            _react2.default.createElement(
              'p',
              null,
              setting.subtitle
            )
          )
        ) : _this.loadingSkeleton;
      });
    };

    var type = _this.props.type;


    _this.sources = _settings2.default[type] || [Array(4).fill(0), Array(4).fill(0), Array(4).fill(0)];
    return _this;
  }

  _createClass(LogoWallCarouselOld, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          width = _props.width,
          height = _props.height,
          delay = _props.delay;

      var containerWidth = width.toString().includes('%') ? width : width + 'px';
      var containerHeight = height;

      if (!height.toString().includes('%')) {
        var magicHeight = height + 12 + 7 + 2;

        containerHeight = magicHeight + 'px';
      }

      return _react2.default.createElement(
        'div',
        { style: { width: containerWidth, height: containerHeight } },
        _react2.default.createElement(
          'div',
          { className: cx('slide') },
          _react2.default.createElement(
            _CarouselOld2.default,
            { width: width, height: height, speed: delay, dotPosition: _CarouselOld.DOT_POSITION.FIXED },
            this.sources && this.sources.map(function (items, index) {
              return _react2.default.createElement(
                'div',
                { key: 'logo_wall_' + (index + 1), className: cx('slide--wrapper') },
                _this2.renderItem(items)
              );
            })
          )
        )
      );
    }
  }]);

  return LogoWallCarouselOld;
}(_react2.default.PureComponent);

LogoWallCarouselOld.defaultProps = {
  width: 334,
  height: 230,
  delay: 10000,
  type: LOGO_WALL_TYPE.HOMEPAGE,
  dataPrefix: ['data-global-ga']
};
exports.default = LogoWallCarouselOld;

/***/ }),

/***/ 70:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/d7ef2020299e5fa5c9be780071d430cf.svg";

/***/ }),

/***/ 71:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/c6af9b4f/5780bf99c65b9b9965db73c1354f1ae3.svg";

/***/ }),

/***/ 72:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin
module.exports = {"wrapperWidth":"1200px","screenSizeSm":"321px","screenSizeMd":"768px","screenSizeMl":"990px","screenSizeLg":"1024px","screenSizeXl":"1200px","screenSizeXXl":"1360px","carousel-container":"_1Ga39","carousel":"_2R0nD","carousel__body":"_2yzm-","carousel__body__item":"_eo53a","carousel__arrows":"_2-qcL","carousel__arrows__arrow":"_1vHlK","carousel__arrows__arrow--active":"_2ScMz","footer":"_1f41a","footer__indicators":"_2SyBM","footer__indicators__indicator":"_24kDa","footer__indicators__indicator--active":"_2wrNR","float":"_2Oix4"};

/***/ }),

/***/ 86:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _LoadingSkeleton = __webpack_require__(159);

var _LoadingSkeleton2 = _interopRequireDefault(_LoadingSkeleton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LoadingSkeleton = function LoadingSkeleton() {
  return _react2.default.createElement('div', { className: _LoadingSkeleton2.default['loading-skelton'] });
};

exports.default = LoadingSkeleton;

/***/ })

/******/ });
});