(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dest/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 628);
/******/ })
/************************************************************************/
/******/ ({

/***/ 40:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AnueCookie;
var SEARCH_HISTORY_STORED_COOKIE_NAME = 'anue.search.history';

function AnueCookie(env) {
  var isProd = env === 'prod';
  var cookieDomain = isProd ? '.cnyes.com' : '.cnyes.cool';
  var getSearchCookies = function getSearchCookies() {
    var history = ('; ' + document.cookie).split('; ' + SEARCH_HISTORY_STORED_COOKIE_NAME + '=').pop().split(';').shift();
    var _history = [];

    if (history) {
      try {
        _history = JSON.parse(history);
      } catch (e) {
        console.log('the stored values has incorrect format. Store the new value and truncate the old data', e);
        _history = [];
      }
    }

    return _history;
  };

  return {
    getSearchCookies: getSearchCookies,
    setSearchCookies: function setSearchCookies(_ref) {
      var string = _ref.string,
          _ref$shouldDelete = _ref.shouldDelete,
          shouldDelete = _ref$shouldDelete === undefined ? false : _ref$shouldDelete,
          _ref$cookieLimit = _ref.cookieLimit,
          cookieLimit = _ref$cookieLimit === undefined ? 5 : _ref$cookieLimit;

      var next = getSearchCookies();
      var legalSearchStr = string;

      if (!legalSearchStr) {
        return;
      }
      if (legalSearchStr.length > 30) {
        legalSearchStr = legalSearchStr.substring(0, 30);
      }

      if (next.length > 0) {
        if (shouldDelete && next.indexOf(legalSearchStr) > -1) {
          next.splice(next.indexOf(legalSearchStr), 1);
        } else if (next.indexOf(legalSearchStr) > -1) {
          // Do nothing if the keyword is duplicated.
          return;
        } else {
          next.push(legalSearchStr);
        }

        while (next.length > cookieLimit) {
          next.shift();
        }

        document.cookie = SEARCH_HISTORY_STORED_COOKIE_NAME + '=' + JSON.stringify(next) + '; domain=' + cookieDomain + '; path=/';
      } else {
        document.cookie = SEARCH_HISTORY_STORED_COOKIE_NAME + '=' + JSON.stringify([legalSearchStr]) + '; domain=' + cookieDomain + '; path=/';
      }
    },
    removeSearchCookies: function removeSearchCookies() {
      document.cookie = SEARCH_HISTORY_STORED_COOKIE_NAME + '=' + JSON.stringify([]) + '; domain=' + cookieDomain + '; path=/';
    },
    cookieDomain: cookieDomain
  };
}

/***/ }),

/***/ 628:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(40);


/***/ })

/******/ });
});